local mainGear = {
	amortizer_max_length			= 0.267 + 0.056,-- strut + tire
	amortizer_basic_length			= 0.267 + 0.056,-- strut + tire
	amortizer_spring_force_factor		= 16000000.0,   -- force = spring_force_factor * pow(reduce_length, amortizer_spring_force_factor_rate
	amortizer_spring_force_factor_rate	= 4.0,
	amortizer_static_force			= 10000.0,
	amortizer_reduce_length			= 0.3,
	amortizer_direct_damper_force_factor	= 50000.0,
	amortizer_back_damper_force_factor	= 30000.0,
	allowable_hard_contact_length		= 0.215,
        wheel_radius				= 0.3224,
	wheel_static_friction_factor		= 0.70 ,
	wheel_side_friction_factor		= 0.35 ,
	wheel_roll_friction_factor		= 0.04 ,
	wheel_glide_friction_factor		= 0.30 ,
	wheel_damage_force_factor		= 450.0,
	wheel_brake_moment_max			= 5500.0,
	wheel_kz_factor				= 0.52,
	wheel_damage_speedX			= 115,
	wheel_damage_delta_speedX		= 11.5,
                   }
     -- Main Rotor control
       local MainRotorBladePitch0	        = 1.0	-- [deg]
       local MainCollectivePitch_min	        = 0.0	-- [deg]
       local MainCollectivePitch_max	        = 20.0	-- [deg]
       local SwashPlatePitch0		        = 0.0	-- [deg]
       local SwashPlateRoll0		        = 0.0	-- [deg]
--
AH64D = {
          imgui_permissions =
	            {
		--PowerPlant                    = true,
		--EngineFailures                = true,
		--MainRotorDamage               = true,
		--CAS                           = true,
		--SAS                           = true,
		--SCAS                          = true,
		--blade_angle_plot              = true,
		--ihadds_adjustment             = true,
		--WP                            = true,
		--HF_Interface                  = true,
		--GearSystem                    = true,
		--HydroSystem                   = true,
		--SensorsSystem                 = true,
		--TADS                          = true,
		--CG_and_MASS                   = true,
		--DigitalSlipBall               = true,
		--APU                           = true,
		--APU_ECU                       = true,
		--SP_NAV                        = true,
		--MPD_Cursor                    = true,
		--IPAS                          = true,
		--TSE                           = true,
		--drawArgs                      = true,
		--CockpitDrawArgs               = true,
		--FCR_GMT                       = true,
		--FMC                           = true,
		--GPS                           = true,
		--EGI                           = true,
	             },
    keyboard_control =
	             {
		-- speed of control levers when operating from the keyboard
		-- use formula: speed [1/sec] = full control range / full transfer time
		       cyclic_pitch_speed	 = 2.0 / 15.0,
		       cyclic_roll_speed	 = 2.0 / 15.0,
		       pedals_speed	         = 2.0 / 13.0,
		       collective_speed	         = 1.0 / 13.0,
	              },
   control_kinematics =
	              {
           collective =
		      {
		table =
		      {
	   -- format: { relative control, angle position [deg] }
		      { 0.0, MainRotorBladePitch0 + MainCollectivePitch_min},
		      { 1.0, MainRotorBladePitch0 + MainCollectivePitch_max},
		      },
		      },
pitch =
		      {
		table =
	 	      {
	   -- format: { relative control, angle position [deg] }
                      {-1.0,   -20.00 + SwashPlatePitch0},
                      {-0.975, -19.75 + SwashPlatePitch0},
                      {-0.95,  -19.00 + SwashPlatePitch0},
                      {-0.925, -18.25 + SwashPlatePitch0},
                      {-0.90,  -18.00 + SwashPlatePitch0},
                      {-0.875, -17.25 + SwashPlatePitch0},
                      {-0.85,  -17.00 + SwashPlatePitch0},
                      {-0.825, -16.25 + SwashPlatePitch0},
                      {-0.80,  -16.00 + SwashPlatePitch0},
                      {-0.775, -15.25 + SwashPlatePitch0},
                      {-0.75,  -15.00 + SwashPlatePitch0},
                      {-0.725, -14.25 + SwashPlatePitch0},
                      {-0.70,  -14.00 + SwashPlatePitch0},
                      {-0.675, -13.25 + SwashPlatePitch0},
                      {-0.65,  -13.00 + SwashPlatePitch0},
                      {-0.625, -12.25 + SwashPlatePitch0},
                      {-0.60,  -12.00 + SwashPlatePitch0},
                      {-0.575, -11.25 + SwashPlatePitch0},
                      {-0.55,  -11.00 + SwashPlatePitch0},
                      {-0.525, -10.25 + SwashPlatePitch0},
                      {-0.50,  -10.00 + SwashPlatePitch0},
                      {-0.475,  -9.25 + SwashPlatePitch0},
                      {-0.45,   -9.00 + SwashPlatePitch0},
                      {-0.425,  -8.25 + SwashPlatePitch0},
                      {-0.40,   -8.00 + SwashPlatePitch0},
                      {-0.375,  -7.25 + SwashPlatePitch0},
                      {-0.35,   -7.00 + SwashPlatePitch0},
                      {-0.325,  -6.25 + SwashPlatePitch0},
                      {-0.30,   -6.00 + SwashPlatePitch0},
                      {-0.275,  -5.25 + SwashPlatePitch0},
                      {-0.25,   -5.00 + SwashPlatePitch0},
                      {-0.225,  -4.25 + SwashPlatePitch0},
                      {-0.20,   -4.00 + SwashPlatePitch0},
                      {-0.175,  -3.25 + SwashPlatePitch0},
                      {-0.15,   -3.00 + SwashPlatePitch0},
                      {-0.125,  -2.25 + SwashPlatePitch0},
                      {-0.10,   -2.00 + SwashPlatePitch0},
                      {-0.075,  -1.25 + SwashPlatePitch0},
                      {-0.05,   -1.00 + SwashPlatePitch0},
                      {-0.025,  -0.25 + SwashPlatePitch0},
                      {0.00,    0.00  + SwashPlatePitch0},
                      {0.025,   0.25  + SwashPlatePitch0},
                      {0.05,    1.00  + SwashPlatePitch0},
                      {0.075,   1.75  + SwashPlatePitch0},
                      {0.10,    2.00  + SwashPlatePitch0},
                      {0.125,   2.75  + SwashPlatePitch0},
                      {0.15,    3.00  + SwashPlatePitch0},
                      {0.175,   3.75  + SwashPlatePitch0},
                      {0.20,    4.00  + SwashPlatePitch0},
                      {0.225,   4.75  + SwashPlatePitch0},
                      {0.25,    5.00  + SwashPlatePitch0},
                      {0.275,   5.75  + SwashPlatePitch0},
                      {0.30,    6.00  + SwashPlatePitch0},
                      {0.325,   6.75  + SwashPlatePitch0},
                      {0.35,    7.00  + SwashPlatePitch0},
                      {0.375,   7.75  + SwashPlatePitch0},
                      {0.40,    8.00  + SwashPlatePitch0},
                      {0.425,   8.75  + SwashPlatePitch0},
                      {0.45,    9.00  + SwashPlatePitch0},
                      {0.475,   9.75  + SwashPlatePitch0},
                      {0.50,   10.00  + SwashPlatePitch0},
                      {0.525,  10.75  + SwashPlatePitch0},
                      {0.55,   11.00  + SwashPlatePitch0},
                      {0.575,  11.75  + SwashPlatePitch0},
                      {0.60,   12.00  + SwashPlatePitch0},
                      {0.625,  12.75  + SwashPlatePitch0},
                      {0.65,   13.00  + SwashPlatePitch0},
                      {0.675,  13.75  + SwashPlatePitch0},
                      {0.70,   14.00  + SwashPlatePitch0},
                      {0.725,  14.75  + SwashPlatePitch0},
                      {0.75,   15.00  + SwashPlatePitch0},
                      {0.775,  15.75  + SwashPlatePitch0},
                      {0.80,   16.00  + SwashPlatePitch0},
                      {0.825,  16.75  + SwashPlatePitch0},
                      {0.85,   17.00  + SwashPlatePitch0},
                      {0.875,  17.75  + SwashPlatePitch0},
                      {0.90,   18.00  + SwashPlatePitch0},
                      {0.925,  18.75  + SwashPlatePitch0},
                      {0.95,   19.00  + SwashPlatePitch0},
                      {0.975,  19.75  + SwashPlatePitch0},
                      {1.0,    20.00  + SwashPlatePitch0},
                      },
		      },
roll =
		      {
	        table =
		      {
           -- format: { relative control, angle position [deg] }
                      {-1.0,   -10.00   + SwashPlateRoll0},
                      {-0.975, -9.7534  + SwashPlateRoll0},
                      {-0.95,  -9.50675 + SwashPlateRoll0},
                      {-0.925, -9.2622  + SwashPlateRoll0},
                      {-0.9,   -9.017   + SwashPlateRoll0},
                      {-0.875, -8.7724  + SwashPlateRoll0},
                      {-0.85,  -8.53075 + SwashPlateRoll0},
                      {-0.825, -8.2844  + SwashPlateRoll0},
                      {-0.8,   -8.048   + SwashPlateRoll0},
                      {-0.775, -7.8134  + SwashPlateRoll0},
                      {-0.75,  -7.56875 + SwashPlateRoll0},
                      {-0.725, -7.3305  + SwashPlateRoll0},
                      {-0.7,   -7.093   + SwashPlateRoll0},
                      {-0.675, -6.8572  + SwashPlateRoll0},
                      {-0.65,  -6.62075 + SwashPlateRoll0},
                      {-0.625, -6.3862  + SwashPlateRoll0},
                      {-0.6,   -6.152   + SwashPlateRoll0},
                      {-0.575, -5.91975 + SwashPlateRoll0},
                      {-0.55,  -5.68675 + SwashPlateRoll0},
                      {-0.525, -5.4535  + SwashPlateRoll0},
                      {-0.5,   -5.225   + SwashPlateRoll0},
                      {-0.475, -4.993   + SwashPlateRoll0},
                      {-0.45,  -4.76675 + SwashPlateRoll0},
                      {-0.425, -4.541   + SwashPlateRoll0},
                      {-0.4,   -4.312   + SwashPlateRoll0},
                      {-0.375, -4.087   + SwashPlateRoll0},
                      {-0.35,  -3.86075 + SwashPlateRoll0},
                      {-0.325, -3.6352  + SwashPlateRoll0},
                      {-0.3,   -3.413   + SwashPlateRoll0},
                      {-0.275, -3.1882  + SwashPlateRoll0},
                      {-0.25,  -2.9687  + SwashPlateRoll0},
                      {-0.225, -2.749   + SwashPlateRoll0},
                      {-0.2,   -2.528   + SwashPlateRoll0},
                      {-0.175, -2.3095  + SwashPlateRoll0},
                      {-0.15,  -2.09075 + SwashPlateRoll0},
                      {-0.125, -1.87025 + SwashPlateRoll0},
                      {-0.1,   -1.657   + SwashPlateRoll0},
                      {-0.075, -1.43975 + SwashPlateRoll0},
                      {-0.05,  -1.0675  + SwashPlateRoll0},
                      {-0.025, -1.0218  + SwashPlateRoll0},
                      {0.0,    -0.900   + SwashPlateRoll0},
                      {0.025,  -0.690   + SwashPlateRoll0},
                      {0.05,   -0.376   + SwashPlateRoll0},
                      {0.075,  -0.129   + SwashPlateRoll0},
                      {0.1,     0.043   + SwashPlateRoll0},
                      {0.125,   0.255   + SwashPlateRoll0},
                      {0.15,    0.45925 + SwashPlateRoll0},
                      {0.175,   0.6635  + SwashPlateRoll0},
                      {0.2,     0.872   + SwashPlateRoll0},
                      {0.225,   1.081   + SwashPlateRoll0},
                      {0.25,    1.28125 + SwashPlateRoll0},
                      {0.275,   1.48675 + SwashPlateRoll0},
                      {0.3,     1.687   + SwashPlateRoll0},
                      {0.325,   1.888   + SwashPlateRoll0},
                      {0.35,    2.08925 + SwashPlateRoll0},
                      {0.375,   2.28725 + SwashPlateRoll0},
                      {0.4,     2.488   + SwashPlateRoll0},
                      {0.425,   2.681   + SwashPlateRoll0},
                      {0.45,    2.88325 + SwashPlateRoll0},
                      {0.475,   3.081   + SwashPlateRoll0},
                      {0.5,     3.275   + SwashPlateRoll0},
                      {0.525,   3.470   + SwashPlateRoll0},
                      {0.55,    3.66325 + SwashPlateRoll0},
                      {0.575,   3.851   + SwashPlateRoll0},
                      {0.6,     4.048   + SwashPlateRoll0},
                      {0.625,   4.240   + SwashPlateRoll0},
                      {0.65,    4.42925 + SwashPlateRoll0},
                      {0.675,   4.617   + SwashPlateRoll0},
                      {0.7,     4.807   + SwashPlateRoll0},
                      {0.725,   4.992   + SwashPlateRoll0},
                      {0.75,    5.18125 + SwashPlateRoll0},
                      {0.775,   5.367   + SwashPlateRoll0},
                      {0.8,     5.552   + SwashPlateRoll0},
                      {0.825,   5.733   + SwashPlateRoll0},
                      {0.85,    5.91925 + SwashPlateRoll0},
                      {0.875,   6.100   + SwashPlateRoll0},
                      {0.9,     6.283   + SwashPlateRoll0},
                      {0.925,   6.462   + SwashPlateRoll0},
                      {0.95,    6.64325 + SwashPlateRoll0},
                      {0.975,   6.826   + SwashPlateRoll0},
                      {1.0,     7.00    + SwashPlateRoll0},
                      },
		      },
tail_collective_by_pedals =
		      {
	      range = { -22.0, 9.0 },	
		table =
		      {
                      {-1.0,	-21.000	},
                      {-0.98,	-20.000	},
		      {-0.96,	-19.000	},
		      {-0.92,	-18.323	},
		      {-0.9,	-17.640	},
		      {-0.83,	-16.953	},
		      {-0.8,	-15.260	},
		      {-0.75,	-14.563	},
		      {-0.7,	-13.860	},
		      {-0.65,	-12.153	},
		      {-0.6,	-11.240	},
		      {-0.55,	-10.723	},
		      {-0.5,	 -9.000	},
		      {-0.45,	 -8.273	},
		      {-0.4,	 -7.140	},
		      {-0.35,	 -6.203	},
		      {-0.3,	 -5.060	},
		      {-0.25,	 -4.113	},
		      {-0.2,	 -3.560	},
		      {-0.15,	 -2.303	},
		      {-0.1,	 -1.240	},
		      {-0.05,	 -0.730	},
		      {0.0,	 -0.100	},
		      {0.05,	 -0.023	},
		      {0.1,	  0.040	},
		      {0.15,	  0.053	},
		      {0.2,	  0.060	},
		      {0.25,	  0.083	},
		      {0.35,	  0.153	},
		      {0.4,	  0.240	},
		      {0.45,	  0.323	},
		      {0.5,	  0.500	},
		      {0.55,	  1.328	},
		      {0.6,	  2.160	},
		      {0.65,	  2.998	},
		      {0.7,	  3.840	},
		      {0.75,	  4.688	},
		      {0.8,	  5.540	},
		      {0.85,	  6.398	},
		      {0.9,	  7.260	},
		      {0.95,	  8.128	},
		      {1.0,	  9.000	},
                      },
		      },
tail_collective_by_main_collective =	
		      {
              range = {-12.5, 9.0 },	
	       table ={
                      {0.0,   -0.0},  -- 0.0008}
                      {0.025, -0.0},  -- 0.0051}
                      {0.05,  -0.0},  -- 0.0127}
                      {0.075, -0.0},  -- 0.0204}
                      {0.1,   -0.0},  -- 0.0100}
                      {0.125, -0.0},  -- 0.0096}
                      {0.15,  -0.0}, -- -0.0002}
                      {0.175, -0.0}, -- -0.0015}
                      {0.2,   -0.0}, -- -0.0034}
                      {0.225, -0.0}, -- -0.0079}
                      {0.25,  -0.0}, -- -0.0175}
                      {0.275, -0.0}, -- -0.0229}
                      {0.3,   -0.0}, -- -0.0508}
                      {0.325, -0.0}, -- -0.1517}
                      {0.35,  -0.0}, -- -0.2526}
                      {0.375, -0.0}, -- -0.3535}
                      {0.4,   -0.0}, -- -0.4544}
                      {0.425, -0.0}, -- -0.5553}
                      {0.45,  -0.0}, -- -0.6562}
                      {0.475, -0.0}, -- -0.7571}
                      {0.5,   -0.0}, -- -1.7771}
                      {0.525, -0.0}, -- -2.3971}
                      {0.55,  -0.0}, -- -3.0171}
                      {0.575, -0.0}, -- -3.2371}
                      {0.6,   -0.0}, -- -3.6302}
                      {0.625, -0.0}, -- -4.1529}
                      {0.65,  -0.0}, -- -4.8738}
                      {0.675, -0.0}, -- -5.0947}
                      {0.7,   -0.0}, -- -5.3409}
                      {0.725, -0.0}, -- -6.1618}
                      {0.75,  -0.0}, -- -6.8827}
                      {0.775, -0.0}, -- -7.1036}
                      {0.8,   -0.0}, -- -7.7038}
                      {0.825, -0.0}, -- -8.4247}
                      {0.85,  -0.0}, -- -9.2456}
                      {0.875, -0.0},--  -9.7065}
                      {0.9,   -0.0},-- -10.1206}
                      {0.925, -0.0},-- -10.6415}
                      {0.95,  -0.0},-- -11.2624}
                      {0.975, -0.0},-- -12.2833}
                      {1.0,   -0.0},-- -12.5000}
                      },
                      },
	              },
thrust_function =
	              {
          -- format = { TGT [deg C], THRUST [0..1] }
                      {  40.0, 0.00 },
                      { 135.0, 0.200 }, 
                      { 440.0, 0.800 }, 
                      { 451.0, 0.805 }, 
                      { 462.0, 0.805 }, 
                      { 473.0, 0.808 }, 
                      { 495.0, 0.813 }, 
                      { 506.0, 0.815 }, 
                      { 517.0, 0.818 }, 
                      { 528.0, 0.820 }, 
                      { 539.0, 0.823 }, 
                      { 550.0, 0.825 },
                      { 561.0, 0.828 }, 
                      { 572.0, 0.830 },
                      { 583.0, 0.833 }, 
                      { 594.0, 0.835 },
                      { 605.0, 0.838 }, 
                      { 616.0, 0.840 },
                      { 627.0, 0.843 }, 
                      { 638.0, 0.845 },
                      { 649.0, 0.848 }, 
                      { 660.0, 0.852 },
                      { 671.0, 0.857 }, 
                      { 682.0, 0.863 },
                      { 693.0, 0.870 }, 
                      { 704.0, 0.877 },
                      { 715.0, 0.883 }, 
                      { 726.0, 0.890 },
                      { 737.0, 0.898 }, 
                      { 748.0, 0.906 },
                      { 759.0, 0.915 }, 
                      { 770.0, 0.923 },
                      { 781.0, 0.933 }, 
                      { 792.0, 0.942 },
                      { 803.0, 0.951 }, 
                      { 814.0, 0.957 },
                      { 825.0, 0.967 }, 
                      { 836.0, 0.975 },
                      { 847.0, 0.985 }, 
                      { 858.0, 0.990 },
                      { 869.0, 0.995 }, 
                      { 880.0, 1.000 },
                      },
        MainRotorPos                                                    = {  0.30, 2.1,  0.000 },	
	TailRotorPos                                                    = { -8.725, 2.106, -0.721 },	
       -- Damping coefficients at zero dynamic pressure
	kDamp_Mx_s1	                                                = 5.0, 
	kDamp_My_s1	                                                = 7.0,
	kDamp_Mz_s1	                                                = 45.0,
        kDamp_Mx_s2	                                                = -4000.0, 
	kDamp_My_s2	                                                = -16000,
	kDamp_Mz_s2	                                                = -4000.0, 
       -- Damping coefficients at non-zero dynamic pressure
	kDamp_Mx_d1	                                                = -5.0,
	kDamp_My_d1	                                                = -120,
	kDamp_Mz_d1	                                                = -45.0,
        kDamp_Mx_d2	                                                = -4.0,
	kDamp_My_d2	                                                = -20.0,
	kDamp_Mz_d2	                                                = -20.0,
       -- Rotor damping calibration coefficients
	rotorDampCoeff_wx	                                        = 3.15, 
	rotorDampCoeff_wz	                                        = 3.15, 
       -- Rotor Ground Effect
	rotorGroundEffectIntensity		                        = 0.47,
	rotorGroundEffectAttenuation	                                = 0.250,
	rotorGroundEffectDensCoeff		                        = 0.8,
        rotorGyroscopicMomentCoeff		                        = 1.0,
       -- Rotor roll due to critical flow at the advancing blade
	rotorCritRollIntensity			                        = 1.0,
	rotorCritRollBladeMach			                        = 0.7,
	rotorCritRollGrowthRatio		                        = 10.0,
       -- Rotor induced velocity washout
	rotorInducedVelocityWashout		                        = 0.0,
       -- main rotor blades animation
	rotorFlapAnimationScaleMin		                        = -30.0,
	rotorFlapAnimationScaleMax		                        =  30.0,
       -- Scale of main rotor centrifugal force due to blade damage
	rotorBladeDamageCentrifugalScale	                        = 0.3,
       -- Main rotor vortex ring parameters
	mainRotorVortexRingWashout		                        = 12.0,
	mainRotorVortexRingK1			                        = 0.42,
	mainRotorVortexRingK2			                        = 1.0,
	mainRotorVortexRingK3			                        = 3.0,
	mainRotorVortexRingThrustLoss	                                = 0.5,
	mainRotorVortexRingCyclicLoss	                                = 0.81,
	mainRotorVortexRingVibration	                                = 0.18,
       -- Main rotor hub stiffness coefficient
	mainRotorStiffnessCoefficient	                                = 0.032,
       -- Tail rotor vortex ring parameters
	tailRotorVortexRingWashout		                        = 12.5,
	tailRotorVortexRingK1			                        = 3.0, 
	tailRotorVortexRingK2			                        = 4.2, 
	tailRotorVortexRingK3			                        = 13.0, 
	tailRotorVortexRingThrustLoss	                                = 0.15, 
       -- Tail rotor thrust filter parameters
	tailRotorThrustFilterT1			                        = 0.1,
       -- gearbox and gear train parameters
	totalTransmissionInertiaMoment	                                = 7909.0362, 
        zeroize_amortizers_before_collision_check = false,
       -- Center of Mass and Moment of Inertia Data
       -- Current Center of Mass (CoG)
          center_of_mass = {0.150, 0.295, 0.0},  -- Current position after flight adjustments
       -- Moment of Inertia (kg·m²)
          moment_of_inertia = {9573, 51874, 51468, -5937},  -- Ix, Iy, Iz, Ixy values
            -- SAS Gains
                  pitchOutK                                             = 1.0,
                  rollOutK                                              = 1.0,
                  yawOutK                                               = 1.0,
            -- Rate Inputs
                 pitchRateInputK                                        = 0.1,  
                 rollRateInputK                                         = 0.1,   
                 yawRateInputK                                          = 0.1,    
            -- Direct Feedback Coefficients
                pitchRateDirectFB_Coef                                  = 0.7,  
                rollRateDirectFB_Coef                                   = 1.0,   
                yawRateDirectFB_Coef                                    = 0.1,    
            -- Stick Sensitivity
                pitchStickK                                             = 0.75,
                rollStickK                                              = 0.80,
                pedalCoeff                                              = 0.5,
            -- Beta Gains
                betaGain                                                = 6.0,
                betaDotGain                                             = 1.5,
                betaGainInt                                             = 0.1,
                filterPeriod_roll                                       = 20.0,
	        filterPeriod_pitch                                      = 30.0,
            -- Heading Hold Parameters
                headingHold_K_yaw                                       = 0.5,    
                headingHold_K_wy                                        = 0.09,      
                headingHold_K_int                                       = 0.5,      
            -- Roll Hold Parameters
                rollHold_K_roll                                         = 1.8,       
                rollHold_K_wx                                           = 2.5,          
                rollHold_K_int                                          = 0.2,         
            -- Pitch Hold Parameters
                pitchHold_K_pitch                                       = 0.4,      
                pitchHold_K_wz                                          = 1.0,         
                pitchHold_K_int                                         = 0.5,        
            -- Velocity Hold Parameters
                velHold_K_vx                                            = 2.5,           
                velHold_K_vz                                            = 2.5,           
                velHold_K_int                                           = 1.0,
            -- Position Control Parameters
                pos_distance                                            = 10.0,
                pos_dxMaxVal                                            = 0.1,
                pos_dzMaxVal                                            = 0.1,
            -- Damping Parameters
                vyDamp                                                  = 0.0,                 
                altHold                                                 = 0.02,               
                altHoldVy                                               = 0.12,             
                altInt                                                  = 0.014,              
            -- Stick Thresholds for Attitude Hold
                attHold_cyclicStickPitch_threshold                      = 2.5,   -- Percentage of full stick range
                attHold_cyclicStickRoll_threshold                       = 2.25,  -- Percentage of full stick range
            -- Altitude Control Parameters
               altHold_pitchRefAdd_max                                  = 0.0,   -- Max pitch adjustment in degrees
               altHold_alt_loss                                         = 5,     -- Percentage loss for altitude adjustment
               Kwx2                                                     = 170.0,
	       Kwy2                                                     = 400.0,
	       Kwz2                                                     = 150.0,
               Kwx2_hold                                                = 150.0,
	       Kwy2_hold                                                = 6.0,
	       Kwz2_hold                                                = 200.0,
suspension =
	           {
		   { -- TAIL WHEEL
			damage_element				        = 83,
			wheel_axle_offset			        = 0.1,
			axle_angle				        = math.rad(5.0),
			self_attitude				        = false,
			yaw_limit				        = math.rad(180.0), --no need
			moment_limit				        = 750.0,
			damper_coeff				        = 50.0,
			allowable_hard_contact_length	                = 0.25,
			filter_yaw				        = false,
			AxleFric0s				        = 190.0,
			AxleFric0f				        = 4.0,
			AxleFricVs				        = 0.1,
			AxleFricVf				        = 1.0,
			wheel_can_rotate_while_not_spin  	        = true,
			axle_omega_limited			        = true,
			axle_omega_limit			        = 2.0,
                        amortizer_min_length			        = 0.0,
			amortizer_max_length			        = 0.246 + 0.030,	-- strut + tire
			amortizer_basic_length			        = 0.246 + 0.030,	-- strut + tire
			amortizer_spring_force_factor		        = 9000000.0, -- force = spring_force_factor * pow(reduce_length, amortizer_spring_force_factor_rate
			amortizer_spring_force_factor_rate	        = 5,
			amortizer_static_force			        = 1000.0,
			amortizer_reduce_length			        = 0.2,
                        amortizer_direct_damper_force_factor	        = 40000,
			amortizer_back_damper_force_factor	        = 20000,
                        wheel_radius				        = 0.1614,
			wheel_static_friction_factor                    = 0.8,
			wheel_side_friction_factor                      = 0.8,
			wheel_roll_friction_factor                      = 0.05,
			wheel_glide_friction_factor                     = 0.75,
			wheel_damage_force_factor                       = 450.0,
			wheel_damage_speedX                             = 115,
			wheel_damage_delta_speedX                       = 11.5,
                        arg_post		                        = 0,
			arg_amortizer		                        = 1,
			arg_wheel_rotation	                        = 101,
			arg_wheel_damage	                        = 134
		   },
		   { -- LEFT WHEEL
			damage_element					= 84,
                        amortizer_max_length				= mainGear.amortizer_max_length,
			amortizer_basic_length				= mainGear.amortizer_basic_length,
			amortizer_spring_force_factor			= mainGear.amortizer_spring_force_factor,
			amortizer_spring_force_factor_rate		= mainGear.amortizer_spring_force_factor_rate,
			amortizer_static_force				= mainGear.amortizer_static_force,
			amortizer_reduce_length				= mainGear.amortizer_reduce_length,
			amortizer_direct_damper_force_factor	        = mainGear.amortizer_direct_damper_force_factor,
			amortizer_back_damper_force_factor		= mainGear.amortizer_back_damper_force_factor,
			allowable_hard_contact_length			= mainGear.allowable_hard_contact_length,
                        wheel_radius					= mainGear.wheel_radius,
			wheel_static_friction_factor			= mainGear.wheel_static_friction_factor,
			wheel_side_friction_factor			= mainGear.wheel_side_friction_factor,
			wheel_roll_friction_factor			= mainGear.wheel_roll_friction_factor,
			wheel_glide_friction_factor			= mainGear.wheel_glide_friction_factor,
			wheel_damage_force_factor			= mainGear.wheel_damage_force_factor,
			wheel_brake_moment_max				= mainGear.wheel_brake_moment_max,
			wheel_kz_factor					= mainGear.wheel_kz_factor,
			wheel_damage_speedX				= mainGear.wheel_damage_speedX,
			wheel_damage_delta_speedX			= mainGear.wheel_damage_delta_speedX,
                        arg_post		                        = 5,
			arg_amortizer		                        = 6,
			arg_wheel_rotation	                        = 103,
			arg_wheel_damage	                        = 136
		   },
		   { -- RIGHT WHEEL
			damage_element		                        = 85,
                        amortizer_max_length				= mainGear.amortizer_max_length,
			amortizer_basic_length				= mainGear.amortizer_basic_length,
			amortizer_spring_force_factor			= mainGear.amortizer_spring_force_factor,
			amortizer_spring_force_factor_rate		= mainGear.amortizer_spring_force_factor_rate,
			amortizer_static_force				= mainGear.amortizer_static_force,
			amortizer_reduce_length				= mainGear.amortizer_reduce_length,
			amortizer_direct_damper_force_factor	        = mainGear.amortizer_direct_damper_force_factor,
			amortizer_back_damper_force_factor		= mainGear.amortizer_back_damper_force_factor,
			allowable_hard_contact_length			= mainGear.allowable_hard_contact_length,
                        wheel_radius					= mainGear.wheel_radius,
			wheel_static_friction_factor			= mainGear.wheel_static_friction_factor,
			wheel_side_friction_factor			= mainGear.wheel_side_friction_factor,
			wheel_roll_friction_factor			= mainGear.wheel_roll_friction_factor,
			wheel_glide_friction_factor			= mainGear.wheel_glide_friction_factor,
			wheel_damage_force_factor			= mainGear.wheel_damage_force_factor,
			wheel_brake_moment_max				= mainGear.wheel_brake_moment_max,
			wheel_kz_factor					= mainGear.wheel_kz_factor,
			wheel_damage_speedX				= mainGear.wheel_damage_speedX,
			wheel_damage_delta_speedX			= mainGear.wheel_damage_delta_speedX,
                        arg_post		                        = 3,
			arg_amortizer		                        = 4,
			arg_wheel_rotation	                        = 102,
			arg_wheel_damage	                        = 135
		   },
	           }, -- suspension/gears

disable_built_in_oxygen_system	= true,
        --
balancing =
	          {--for FM-version at rev.217285!!
	        --{speed, roll_rel, pitch_rel, pedals_rel, collective_rel}
	        --{[speed_min_mps, speed_max_mps], [-1.0; 1,0], [-1.0; 1,0], [-1.0; 1,0], [collective_min_deg; collective_max_deg]}
                  {0.0,-0.024,0.054,  -0.241,11.90}, --0.0 knots GW=17.800 lbs (speed [0.0-66.3], OAT=+20C, Alt=500m
	          {6.64,0.053,0.011,  -0.189,11.10},--12.9 knots
	          {8.795,0.074,0.008, -0.175,10.90},--17.1 knots
	          {13.5,0.064,0.000,  -0.083,10.50},--26.2 knots
	          {22.4,0.052,   -0.044,0.022,9.94},--43.5 knots
	          {29.5,0.036,   -0.100,0.064,9.60},--57.3 knots
	          {31.3,0.027,   -0.119,0.097,9.70},--60.8 knots
	          {38.3,0.012,  -0.186,0.089,10.00},--74.4 knots
	          {47.5,0.000,  -0.289,0.064,10.90},--92.3 knots
	          {54.25,0.000, -0.387,0.030,12.10},--105.5 knots
	          {56.85,-0.010 -0.432,0.014,12.60},--110.5 knots
	          {61.5,-0.008,-0.506,-0.047,13.85},--119.5 knots
		  {66.3,-0.008,-0.565,-0.131,15.30},--128.9 knots
		  {68.8,0.016, -0.619,-0.240,16.10},--133.7 knots GW=16.545 lbs
		  {70.8,-0.022,-0.657,-0.075,17.80},--137.6 knots GW=16.545 lbs
	          },
-- FFB force multiplier
	ffbPitchK	    = 0.85,
	ffbRollK	    = 0.75,
        -- view shake amplitude
	minor_shake_ampl    = 0.02,
	major_shake_ampl    = 0.15,
} -- end of AH64D
   